#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "QHBoxLayout"
#include "QList"
#include "newmap.h"
#include "QMessageBox"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QHBoxLayout *l = new QHBoxLayout();
    l->addWidget(ui->tileset);
    ui->scrollArea->widget()->setLayout(l);

    l = new QHBoxLayout();
    l->addWidget(ui->maps);
    ui->scrollArea_2->widget()->setLayout(l);

    //Setting Size
    ui->tileset->setMaximumHeight(0);
    ui->tileset->setMinimumHeight(0);
    ui->tileset->setMaximumWidth(0);
    ui->tileset->setMinimumWidth(0);
    ui->maps->setMaximumHeight(0);
    ui->maps->setMinimumHeight(0);
    ui->maps->setMaximumWidth(0);
    ui->maps->setMinimumWidth(0);

    //Default Setting
    ui->tileset->setMinimumWidth(0);
    ui->tileset->setMinimumHeight(0);
    QList<int> sizes;
    sizes << 200 << 500;
    ui->splitter->setSizes(sizes);

}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_action_New_Map_triggered()
{
    NewMap *map = new NewMap();
    int result = map->exec();

    if(result == QDialog::Accepted)
    {
        ui->maps->blw = map->blw;
        ui->maps->blh = map->blh;

        //Apply new size
        ui->maps->setMinimumWidth(map->blw * 32);
        ui->maps->setMinimumHeight(map->blh * 32);
        ui->maps->setMaximumWidth(map->blw * 32);
        ui->maps->setMaximumHeight(map->blh * 32);


    }
}
